# Generated from sorare-rewards-1.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sorare-rewards

Name: rubygem-%{gem_name}
Version: 1.1.2
Release: 1%{?dist}
Summary: ["Sorare", "reward", "allocation", "algorithm"]
License: MIT
URL: https://gitlab.com/sorare/sorare-rewards
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.1
# BuildRequires: rubygem(ostruct) >= 0.2.0
# BuildRequires: rubygem(ostruct) < 0.3
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.12.1
# BuildRequires: rubygem(rubocop) < 1.13
# BuildRequires: rubygem(rubocop-rake) >= 0.5.1
# BuildRequires: rubygem(rubocop-rake) < 0.6
# BuildRequires: rubygem(rubocop-rspec) >= 2.2.0
# BuildRequires: rubygem(rubocop-rspec) < 2.3
BuildArch: noarch

%description
["Sorare", "reward", "allocation", "algorithm"].


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/data.patch
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sorare-rewards.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.1.2-1
- Initial package
